Ошибка при запуске приложения в Android Studio. Приложение: incrementalDebugJavaCompilationSafeguard

android android-studio

1409 просмотра

1 ответ

2169 Репутация автора

Ошибка: не удалось выполнить задачу ': app: incrementalDebugJavaCompilationSafeguard'.

java.io.IOException: не удалось удалить папку

C: \ Users \ XXXX \ AndroidStudioProjects \ XXXX \ приложение \ сборки \ ПОЛУПРОДУКТЫ \ Classes \ Debug \ ком \ bluejamesbond

Это свежая установка Android Studio в Windows 8, и приложение работало после этого, но в Windows 7.

Мои грады

    // Top-level build file where you can add configuration options common to all sub-projects/modules.

    buildscript {
        repositories {
            jcenter()
        }
        dependencies {
            classpath 'com.android.tools.build:gradle:2.1.2'
            classpath 'com.google.gms:google-services:3.0.0'

            // NOTE: Do not place your application dependencies here; they belong
            // in the individual module build.gradle files
        }
    }


    allprojects {
        repositories {
            jcenter()
        }
    }



    task clean(type: Delete) {
        delete rootProject.buildDir
    }

apply plugin: 'com.android.application'

buildscript {
    repositories {
        maven { url 'https://maven.fabric.io/public' }
    }

    dependencies {
        classpath 'io.fabric.tools:gradle:1.21.5'
    }
}

android {
    compileSdkVersion 24
    buildToolsVersion "23.0.3"

    defaultConfig {
        applicationId "com.XXX.XXX"
        minSdkVersion 15
        targetSdkVersion 23
        versionCode 23
        versionName "1.9.6"
        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}


repositories {
    mavenCentral()
    maven { url "https://oss.sonatype.org/content/repositories/snapshots/" }
    maven { url 'https://maven.fabric.io/public' }
    maven { url "https://jitpack.io" }

}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile project(':volley')
    compile('com.github.worker8:tourguide:1.0.16-SNAPSHOT@aar') { transitive = true }
    compile('com.crashlytics.sdk.android:crashlytics:2.6.0@aar') { transitive = true;     }
    compile 'com.github.bluejamesbond:textjustify-android:2.1.6'
    compile 'com.bignerdranch.android:expandablerecyclerview:2.1.1'
    compile 'com.github.clans:fab:1.6.2'
    compile 'com.getbase:floatingactionbutton:1.10.1'
    compile 'com.facebook.android:facebook-android-sdk:4.6.0'
    compile 'com.squareup.picasso:picasso:2.3.2'
    compile 'com.nineoldandroids:library:2.4.0'
    compile 'com.daimajia.slider:library:1.1.5@aar'
    compile 'com.dlazaro66.qrcodereaderview:qrcodereaderview:1.0.0'
    compile 'com.michaelpardo:activeandroid:3.1.0-SNAPSHOT'
    compile 'com.sothree.slidinguppanel:library:3.2.1'
    compile 'io.card:android-sdk:5.3.4'
    compile 'com.github.techery:ProperRatingBar:v0.0.3'
    compile ('com.mercadopago:sdk:BETA_WORKSHOP@aar') { transitive = true }
    compile 'com.android.support:palette-v7:24.0.0'
    compile 'com.github.arimorty:floatingsearchview:2.0.1'
    compile ('com.lamudi.phonefield:phone-field:0.0.8@aar') {  transitive = true  }
    compile 'com.android.support:support-vector-drawable:24.0.0'
    compile 'com.android.support:animated-vector-drawable:24.0.0'
    compile 'com.android.support:design:24.0.0'
    compile 'com.android.support:support-v4:24.0.0'
    compile 'com.android.support:appcompat-v7:24.0.0'
    compile 'com.android.support:cardview-v7:24.0.0'
    compile 'com.android.support:recyclerview-v7:24.0.0'
    compile 'com.google.android.gms:play-services-analytics:9.2.0'
    compile 'com.google.android.gms:play-services-gcm:9.2.0'
    compile 'com.google.android.gms:play-services-maps:9.2.0'
    compile 'com.google.android.gms:play-services-appindexing:9.2.0'
    compile 'com.google.android.gms:play-services:9.2.0'
    compile 'com.google.android.gms:play-services-auth:9.2.0'
    compile 'com.google.maps.android:android-maps-utils:0.4.1'
    compile 'com.android.support:multidex:1.0.1'
}
apply plugin: 'io.fabric'
apply plugin: 'com.google.gms.google-services'

Спасибо!

Автор: benoffi7 Источник Размещён: 15.07.2016 06:50

Ответы (1)


0 плюса

436 Репутация автора

У меня есть эта проблема после перемещения моей папки проекта. Я решаю это путем очистки. Build>Clean Project, а затем восстановить его Build>Rebuild Project.

Автор: Ryde Размещён: 28.07.2016 05:14
Вопросы из категории :
32x32